Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class ActionLogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.ActionLogEntry

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ActionLogEntry extends Id

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionLogEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `Date`
  `getDatetime()`
  `int`
  `getModuleId()`
  `String`
  `getModuleTitle()`
  `String`
  `getQuery()`
  `int`
  `getUserId()`
  `ActionLogEntry`
  `setAction(String action)`
  `ActionLogEntry`
  `setDatetime(Date datetime)`
  `ActionLogEntry`
  `setId(int id)`
  Устанавливает id объекта
  `ActionLogEntry`
  `setModuleId(int moduleId)`
  `ActionLogEntry`
  `setModuleTitle(String moduleTitle)`
  `ActionLogEntry`
  `setQuery(String query)`
  `ActionLogEntry`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionLogEntry

    public ActionLogEntry()

- ## Method Details

  - ### getAction

    public String getAction()

  - ### getDatetime

    public Date getDatetime()

  - ### getModuleId

    public int getModuleId()

  - ### getModuleTitle

    public String getModuleTitle()

  - ### getQuery

    public String getQuery()

  - ### getUserId

    public int getUserId()

  - ### setAction

    public ActionLogEntry setAction(String action)

  - ### setDatetime

    public ActionLogEntry setDatetime(Date datetime)

  - ### setId

    public ActionLogEntry setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setModuleId

    public ActionLogEntry setModuleId(int moduleId)

  - ### setModuleTitle

    public ActionLogEntry setModuleTitle(String moduleTitle)

  - ### setQuery

    public ActionLogEntry setQuery(String query)

  - ### setUserId

    public ActionLogEntry setUserId(int userId)